ObjectChangeType (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.commitlog.model, enum: ObjectChangeType

# Enum Class ObjectChangeType

java.lang.Object
java.lang.Enum<ObjectChangeType>
org.apache.cayenne.commitlog.model.ObjectChangeType

All Implemented Interfaces:
  `Serializable, Comparable<ObjectChangeType>, Constable`

public enum ObjectChangeType extends Enum<ObjectChangeType>
Defines types of tracked object changes.

Since:
  4.0

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DELETE`
  `INSERT`
  `UPDATE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ObjectChangeType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ObjectChangeType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INSERT

    public static final ObjectChangeType INSERT

  - ### UPDATE

    public static final ObjectChangeType UPDATE

  - ### DELETE

    public static final ObjectChangeType DELETE

- ## Method Details

  - ### values

    public static ObjectChangeType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ObjectChangeType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null